IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/68
Addresses2^60
/64 networksPart of one
- Network
2c19:dd:df:dd1:c000::/68- First address
2c19:dd:df:dd1:c000::- Last address
2c19:dd:df:dd1:cfff:ffff:ffff:ffff- Addresses
- 1,152,921,504,606,846,976 (2^60)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:00df:0dd1:c000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
c.1.d.d.0.f.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:df:dd1:c000::/68 makes 256 subnets of /76.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:df:dd1:c000::/76 | 2c19:dd:df:dd1:c00f:ffff:ffff:ffff |
| 2 | 2c19:dd:df:dd1:c010::/76 | 2c19:dd:df:dd1:c01f:ffff:ffff:ffff |
| 3 | 2c19:dd:df:dd1:c020::/76 | 2c19:dd:df:dd1:c02f:ffff:ffff:ffff |
| 4 | 2c19:dd:df:dd1:c030::/76 | 2c19:dd:df:dd1:c03f:ffff:ffff:ffff |
| 5 | 2c19:dd:df:dd1:c040::/76 | 2c19:dd:df:dd1:c04f:ffff:ffff:ffff |
| 6 | 2c19:dd:df:dd1:c050::/76 | 2c19:dd:df:dd1:c05f:ffff:ffff:ffff |
| 7 | 2c19:dd:df:dd1:c060::/76 | 2c19:dd:df:dd1:c06f:ffff:ffff:ffff |
| 8 | 2c19:dd:df:dd1:c070::/76 | 2c19:dd:df:dd1:c07f:ffff:ffff:ffff |
| 9 | 2c19:dd:df:dd1:c080::/76 | 2c19:dd:df:dd1:c08f:ffff:ffff:ffff |
| 10 | 2c19:dd:df:dd1:c090::/76 | 2c19:dd:df:dd1:c09f:ffff:ffff:ffff |
| 11 | 2c19:dd:df:dd1:c0a0::/76 | 2c19:dd:df:dd1:c0af:ffff:ffff:ffff |
| 12 | 2c19:dd:df:dd1:c0b0::/76 | 2c19:dd:df:dd1:c0bf:ffff:ffff:ffff |
| 13 | 2c19:dd:df:dd1:c0c0::/76 | 2c19:dd:df:dd1:c0cf:ffff:ffff:ffff |
| 14 | 2c19:dd:df:dd1:c0d0::/76 | 2c19:dd:df:dd1:c0df:ffff:ffff:ffff |
| 15 | 2c19:dd:df:dd1:c0e0::/76 | 2c19:dd:df:dd1:c0ef:ffff:ffff:ffff |
| 16 | 2c19:dd:df:dd1:c0f0::/76 | 2c19:dd:df:dd1:c0ff:ffff:ffff:ffff |
| 17 | 2c19:dd:df:dd1:c100::/76 | 2c19:dd:df:dd1:c10f:ffff:ffff:ffff |
| 18 | 2c19:dd:df:dd1:c110::/76 | 2c19:dd:df:dd1:c11f:ffff:ffff:ffff |
| 19 | 2c19:dd:df:dd1:c120::/76 | 2c19:dd:df:dd1:c12f:ffff:ffff:ffff |
| 20 | 2c19:dd:df:dd1:c130::/76 | 2c19:dd:df:dd1:c13f:ffff:ffff:ffff |
| 21 | 2c19:dd:df:dd1:c140::/76 | 2c19:dd:df:dd1:c14f:ffff:ffff:ffff |
| 22 | 2c19:dd:df:dd1:c150::/76 | 2c19:dd:df:dd1:c15f:ffff:ffff:ffff |
| 23 | 2c19:dd:df:dd1:c160::/76 | 2c19:dd:df:dd1:c16f:ffff:ffff:ffff |
| 24 | 2c19:dd:df:dd1:c170::/76 | 2c19:dd:df:dd1:c17f:ffff:ffff:ffff |
| 25 | 2c19:dd:df:dd1:c180::/76 | 2c19:dd:df:dd1:c18f:ffff:ffff:ffff |
| 26 | 2c19:dd:df:dd1:c190::/76 | 2c19:dd:df:dd1:c19f:ffff:ffff:ffff |
| 27 | 2c19:dd:df:dd1:c1a0::/76 | 2c19:dd:df:dd1:c1af:ffff:ffff:ffff |
| 28 | 2c19:dd:df:dd1:c1b0::/76 | 2c19:dd:df:dd1:c1bf:ffff:ffff:ffff |
| 29 | 2c19:dd:df:dd1:c1c0::/76 | 2c19:dd:df:dd1:c1cf:ffff:ffff:ffff |
| 30 | 2c19:dd:df:dd1:c1d0::/76 | 2c19:dd:df:dd1:c1df:ffff:ffff:ffff |
| 31 | 2c19:dd:df:dd1:c1e0::/76 | 2c19:dd:df:dd1:c1ef:ffff:ffff:ffff |
| 32 | 2c19:dd:df:dd1:c1f0::/76 | 2c19:dd:df:dd1:c1ff:ffff:ffff:ffff |
| 33 | 2c19:dd:df:dd1:c200::/76 | 2c19:dd:df:dd1:c20f:ffff:ffff:ffff |
| 34 | 2c19:dd:df:dd1:c210::/76 | 2c19:dd:df:dd1:c21f:ffff:ffff:ffff |
| 35 | 2c19:dd:df:dd1:c220::/76 | 2c19:dd:df:dd1:c22f:ffff:ffff:ffff |
| 36 | 2c19:dd:df:dd1:c230::/76 | 2c19:dd:df:dd1:c23f:ffff:ffff:ffff |
| 37 | 2c19:dd:df:dd1:c240::/76 | 2c19:dd:df:dd1:c24f:ffff:ffff:ffff |
| 38 | 2c19:dd:df:dd1:c250::/76 | 2c19:dd:df:dd1:c25f:ffff:ffff:ffff |
| 39 | 2c19:dd:df:dd1:c260::/76 | 2c19:dd:df:dd1:c26f:ffff:ffff:ffff |
| 40 | 2c19:dd:df:dd1:c270::/76 | 2c19:dd:df:dd1:c27f:ffff:ffff:ffff |
| 41 | 2c19:dd:df:dd1:c280::/76 | 2c19:dd:df:dd1:c28f:ffff:ffff:ffff |
| 42 | 2c19:dd:df:dd1:c290::/76 | 2c19:dd:df:dd1:c29f:ffff:ffff:ffff |
| 43 | 2c19:dd:df:dd1:c2a0::/76 | 2c19:dd:df:dd1:c2af:ffff:ffff:ffff |
| 44 | 2c19:dd:df:dd1:c2b0::/76 | 2c19:dd:df:dd1:c2bf:ffff:ffff:ffff |
| 45 | 2c19:dd:df:dd1:c2c0::/76 | 2c19:dd:df:dd1:c2cf:ffff:ffff:ffff |
| 46 | 2c19:dd:df:dd1:c2d0::/76 | 2c19:dd:df:dd1:c2df:ffff:ffff:ffff |
| 47 | 2c19:dd:df:dd1:c2e0::/76 | 2c19:dd:df:dd1:c2ef:ffff:ffff:ffff |
| 48 | 2c19:dd:df:dd1:c2f0::/76 | 2c19:dd:df:dd1:c2ff:ffff:ffff:ffff |
| 49 | 2c19:dd:df:dd1:c300::/76 | 2c19:dd:df:dd1:c30f:ffff:ffff:ffff |
| 50 | 2c19:dd:df:dd1:c310::/76 | 2c19:dd:df:dd1:c31f:ffff:ffff:ffff |
| 51 | 2c19:dd:df:dd1:c320::/76 | 2c19:dd:df:dd1:c32f:ffff:ffff:ffff |
| 52 | 2c19:dd:df:dd1:c330::/76 | 2c19:dd:df:dd1:c33f:ffff:ffff:ffff |
| 53 | 2c19:dd:df:dd1:c340::/76 | 2c19:dd:df:dd1:c34f:ffff:ffff:ffff |
| 54 | 2c19:dd:df:dd1:c350::/76 | 2c19:dd:df:dd1:c35f:ffff:ffff:ffff |
| 55 | 2c19:dd:df:dd1:c360::/76 | 2c19:dd:df:dd1:c36f:ffff:ffff:ffff |
| 56 | 2c19:dd:df:dd1:c370::/76 | 2c19:dd:df:dd1:c37f:ffff:ffff:ffff |
| 57 | 2c19:dd:df:dd1:c380::/76 | 2c19:dd:df:dd1:c38f:ffff:ffff:ffff |
| 58 | 2c19:dd:df:dd1:c390::/76 | 2c19:dd:df:dd1:c39f:ffff:ffff:ffff |
| 59 | 2c19:dd:df:dd1:c3a0::/76 | 2c19:dd:df:dd1:c3af:ffff:ffff:ffff |
| 60 | 2c19:dd:df:dd1:c3b0::/76 | 2c19:dd:df:dd1:c3bf:ffff:ffff:ffff |
| 61 | 2c19:dd:df:dd1:c3c0::/76 | 2c19:dd:df:dd1:c3cf:ffff:ffff:ffff |
| 62 | 2c19:dd:df:dd1:c3d0::/76 | 2c19:dd:df:dd1:c3df:ffff:ffff:ffff |
| 63 | 2c19:dd:df:dd1:c3e0::/76 | 2c19:dd:df:dd1:c3ef:ffff:ffff:ffff |
| 64 | 2c19:dd:df:dd1:c3f0::/76 | 2c19:dd:df:dd1:c3ff:ffff:ffff:ffff |
| 65 | 2c19:dd:df:dd1:c400::/76 | 2c19:dd:df:dd1:c40f:ffff:ffff:ffff |
| 66 | 2c19:dd:df:dd1:c410::/76 | 2c19:dd:df:dd1:c41f:ffff:ffff:ffff |
| 67 | 2c19:dd:df:dd1:c420::/76 | 2c19:dd:df:dd1:c42f:ffff:ffff:ffff |
| 68 | 2c19:dd:df:dd1:c430::/76 | 2c19:dd:df:dd1:c43f:ffff:ffff:ffff |
| 69 | 2c19:dd:df:dd1:c440::/76 | 2c19:dd:df:dd1:c44f:ffff:ffff:ffff |
| 70 | 2c19:dd:df:dd1:c450::/76 | 2c19:dd:df:dd1:c45f:ffff:ffff:ffff |
| 71 | 2c19:dd:df:dd1:c460::/76 | 2c19:dd:df:dd1:c46f:ffff:ffff:ffff |
| 72 | 2c19:dd:df:dd1:c470::/76 | 2c19:dd:df:dd1:c47f:ffff:ffff:ffff |
| 73 | 2c19:dd:df:dd1:c480::/76 | 2c19:dd:df:dd1:c48f:ffff:ffff:ffff |
| 74 | 2c19:dd:df:dd1:c490::/76 | 2c19:dd:df:dd1:c49f:ffff:ffff:ffff |
| 75 | 2c19:dd:df:dd1:c4a0::/76 | 2c19:dd:df:dd1:c4af:ffff:ffff:ffff |
| 76 | 2c19:dd:df:dd1:c4b0::/76 | 2c19:dd:df:dd1:c4bf:ffff:ffff:ffff |
| 77 | 2c19:dd:df:dd1:c4c0::/76 | 2c19:dd:df:dd1:c4cf:ffff:ffff:ffff |
| 78 | 2c19:dd:df:dd1:c4d0::/76 | 2c19:dd:df:dd1:c4df:ffff:ffff:ffff |
| 79 | 2c19:dd:df:dd1:c4e0::/76 | 2c19:dd:df:dd1:c4ef:ffff:ffff:ffff |
| 80 | 2c19:dd:df:dd1:c4f0::/76 | 2c19:dd:df:dd1:c4ff:ffff:ffff:ffff |
| 81 | 2c19:dd:df:dd1:c500::/76 | 2c19:dd:df:dd1:c50f:ffff:ffff:ffff |
| 82 | 2c19:dd:df:dd1:c510::/76 | 2c19:dd:df:dd1:c51f:ffff:ffff:ffff |
| 83 | 2c19:dd:df:dd1:c520::/76 | 2c19:dd:df:dd1:c52f:ffff:ffff:ffff |
| 84 | 2c19:dd:df:dd1:c530::/76 | 2c19:dd:df:dd1:c53f:ffff:ffff:ffff |
| 85 | 2c19:dd:df:dd1:c540::/76 | 2c19:dd:df:dd1:c54f:ffff:ffff:ffff |
| 86 | 2c19:dd:df:dd1:c550::/76 | 2c19:dd:df:dd1:c55f:ffff:ffff:ffff |
| 87 | 2c19:dd:df:dd1:c560::/76 | 2c19:dd:df:dd1:c56f:ffff:ffff:ffff |
| 88 | 2c19:dd:df:dd1:c570::/76 | 2c19:dd:df:dd1:c57f:ffff:ffff:ffff |
| 89 | 2c19:dd:df:dd1:c580::/76 | 2c19:dd:df:dd1:c58f:ffff:ffff:ffff |
| 90 | 2c19:dd:df:dd1:c590::/76 | 2c19:dd:df:dd1:c59f:ffff:ffff:ffff |
| 91 | 2c19:dd:df:dd1:c5a0::/76 | 2c19:dd:df:dd1:c5af:ffff:ffff:ffff |
| 92 | 2c19:dd:df:dd1:c5b0::/76 | 2c19:dd:df:dd1:c5bf:ffff:ffff:ffff |
| 93 | 2c19:dd:df:dd1:c5c0::/76 | 2c19:dd:df:dd1:c5cf:ffff:ffff:ffff |
| 94 | 2c19:dd:df:dd1:c5d0::/76 | 2c19:dd:df:dd1:c5df:ffff:ffff:ffff |
| 95 | 2c19:dd:df:dd1:c5e0::/76 | 2c19:dd:df:dd1:c5ef:ffff:ffff:ffff |
| 96 | 2c19:dd:df:dd1:c5f0::/76 | 2c19:dd:df:dd1:c5ff:ffff:ffff:ffff |
| 97 | 2c19:dd:df:dd1:c600::/76 | 2c19:dd:df:dd1:c60f:ffff:ffff:ffff |
| 98 | 2c19:dd:df:dd1:c610::/76 | 2c19:dd:df:dd1:c61f:ffff:ffff:ffff |
| 99 | 2c19:dd:df:dd1:c620::/76 | 2c19:dd:df:dd1:c62f:ffff:ffff:ffff |
| 100 | 2c19:dd:df:dd1:c630::/76 | 2c19:dd:df:dd1:c63f:ffff:ffff:ffff |
| 101 | 2c19:dd:df:dd1:c640::/76 | 2c19:dd:df:dd1:c64f:ffff:ffff:ffff |
| 102 | 2c19:dd:df:dd1:c650::/76 | 2c19:dd:df:dd1:c65f:ffff:ffff:ffff |
| 103 | 2c19:dd:df:dd1:c660::/76 | 2c19:dd:df:dd1:c66f:ffff:ffff:ffff |
| 104 | 2c19:dd:df:dd1:c670::/76 | 2c19:dd:df:dd1:c67f:ffff:ffff:ffff |
| 105 | 2c19:dd:df:dd1:c680::/76 | 2c19:dd:df:dd1:c68f:ffff:ffff:ffff |
| 106 | 2c19:dd:df:dd1:c690::/76 | 2c19:dd:df:dd1:c69f:ffff:ffff:ffff |
| 107 | 2c19:dd:df:dd1:c6a0::/76 | 2c19:dd:df:dd1:c6af:ffff:ffff:ffff |
| 108 | 2c19:dd:df:dd1:c6b0::/76 | 2c19:dd:df:dd1:c6bf:ffff:ffff:ffff |
| 109 | 2c19:dd:df:dd1:c6c0::/76 | 2c19:dd:df:dd1:c6cf:ffff:ffff:ffff |
| 110 | 2c19:dd:df:dd1:c6d0::/76 | 2c19:dd:df:dd1:c6df:ffff:ffff:ffff |
| 111 | 2c19:dd:df:dd1:c6e0::/76 | 2c19:dd:df:dd1:c6ef:ffff:ffff:ffff |
| 112 | 2c19:dd:df:dd1:c6f0::/76 | 2c19:dd:df:dd1:c6ff:ffff:ffff:ffff |
| 113 | 2c19:dd:df:dd1:c700::/76 | 2c19:dd:df:dd1:c70f:ffff:ffff:ffff |
| 114 | 2c19:dd:df:dd1:c710::/76 | 2c19:dd:df:dd1:c71f:ffff:ffff:ffff |
| 115 | 2c19:dd:df:dd1:c720::/76 | 2c19:dd:df:dd1:c72f:ffff:ffff:ffff |
| 116 | 2c19:dd:df:dd1:c730::/76 | 2c19:dd:df:dd1:c73f:ffff:ffff:ffff |
| 117 | 2c19:dd:df:dd1:c740::/76 | 2c19:dd:df:dd1:c74f:ffff:ffff:ffff |
| 118 | 2c19:dd:df:dd1:c750::/76 | 2c19:dd:df:dd1:c75f:ffff:ffff:ffff |
| 119 | 2c19:dd:df:dd1:c760::/76 | 2c19:dd:df:dd1:c76f:ffff:ffff:ffff |
| 120 | 2c19:dd:df:dd1:c770::/76 | 2c19:dd:df:dd1:c77f:ffff:ffff:ffff |
| 121 | 2c19:dd:df:dd1:c780::/76 | 2c19:dd:df:dd1:c78f:ffff:ffff:ffff |
| 122 | 2c19:dd:df:dd1:c790::/76 | 2c19:dd:df:dd1:c79f:ffff:ffff:ffff |
| 123 | 2c19:dd:df:dd1:c7a0::/76 | 2c19:dd:df:dd1:c7af:ffff:ffff:ffff |
| 124 | 2c19:dd:df:dd1:c7b0::/76 | 2c19:dd:df:dd1:c7bf:ffff:ffff:ffff |
| 125 | 2c19:dd:df:dd1:c7c0::/76 | 2c19:dd:df:dd1:c7cf:ffff:ffff:ffff |
| 126 | 2c19:dd:df:dd1:c7d0::/76 | 2c19:dd:df:dd1:c7df:ffff:ffff:ffff |
| 127 | 2c19:dd:df:dd1:c7e0::/76 | 2c19:dd:df:dd1:c7ef:ffff:ffff:ffff |
| 128 | 2c19:dd:df:dd1:c7f0::/76 | 2c19:dd:df:dd1:c7ff:ffff:ffff:ffff |
| 129 | 2c19:dd:df:dd1:c800::/76 | 2c19:dd:df:dd1:c80f:ffff:ffff:ffff |
| 130 | 2c19:dd:df:dd1:c810::/76 | 2c19:dd:df:dd1:c81f:ffff:ffff:ffff |
| 131 | 2c19:dd:df:dd1:c820::/76 | 2c19:dd:df:dd1:c82f:ffff:ffff:ffff |
| 132 | 2c19:dd:df:dd1:c830::/76 | 2c19:dd:df:dd1:c83f:ffff:ffff:ffff |
| 133 | 2c19:dd:df:dd1:c840::/76 | 2c19:dd:df:dd1:c84f:ffff:ffff:ffff |
| 134 | 2c19:dd:df:dd1:c850::/76 | 2c19:dd:df:dd1:c85f:ffff:ffff:ffff |
| 135 | 2c19:dd:df:dd1:c860::/76 | 2c19:dd:df:dd1:c86f:ffff:ffff:ffff |
| 136 | 2c19:dd:df:dd1:c870::/76 | 2c19:dd:df:dd1:c87f:ffff:ffff:ffff |
| 137 | 2c19:dd:df:dd1:c880::/76 | 2c19:dd:df:dd1:c88f:ffff:ffff:ffff |
| 138 | 2c19:dd:df:dd1:c890::/76 | 2c19:dd:df:dd1:c89f:ffff:ffff:ffff |
| 139 | 2c19:dd:df:dd1:c8a0::/76 | 2c19:dd:df:dd1:c8af:ffff:ffff:ffff |
| 140 | 2c19:dd:df:dd1:c8b0::/76 | 2c19:dd:df:dd1:c8bf:ffff:ffff:ffff |
| 141 | 2c19:dd:df:dd1:c8c0::/76 | 2c19:dd:df:dd1:c8cf:ffff:ffff:ffff |
| 142 | 2c19:dd:df:dd1:c8d0::/76 | 2c19:dd:df:dd1:c8df:ffff:ffff:ffff |
| 143 | 2c19:dd:df:dd1:c8e0::/76 | 2c19:dd:df:dd1:c8ef:ffff:ffff:ffff |
| 144 | 2c19:dd:df:dd1:c8f0::/76 | 2c19:dd:df:dd1:c8ff:ffff:ffff:ffff |
| 145 | 2c19:dd:df:dd1:c900::/76 | 2c19:dd:df:dd1:c90f:ffff:ffff:ffff |
| 146 | 2c19:dd:df:dd1:c910::/76 | 2c19:dd:df:dd1:c91f:ffff:ffff:ffff |
| 147 | 2c19:dd:df:dd1:c920::/76 | 2c19:dd:df:dd1:c92f:ffff:ffff:ffff |
| 148 | 2c19:dd:df:dd1:c930::/76 | 2c19:dd:df:dd1:c93f:ffff:ffff:ffff |
| 149 | 2c19:dd:df:dd1:c940::/76 | 2c19:dd:df:dd1:c94f:ffff:ffff:ffff |
| 150 | 2c19:dd:df:dd1:c950::/76 | 2c19:dd:df:dd1:c95f:ffff:ffff:ffff |
| 151 | 2c19:dd:df:dd1:c960::/76 | 2c19:dd:df:dd1:c96f:ffff:ffff:ffff |
| 152 | 2c19:dd:df:dd1:c970::/76 | 2c19:dd:df:dd1:c97f:ffff:ffff:ffff |
| 153 | 2c19:dd:df:dd1:c980::/76 | 2c19:dd:df:dd1:c98f:ffff:ffff:ffff |
| 154 | 2c19:dd:df:dd1:c990::/76 | 2c19:dd:df:dd1:c99f:ffff:ffff:ffff |
| 155 | 2c19:dd:df:dd1:c9a0::/76 | 2c19:dd:df:dd1:c9af:ffff:ffff:ffff |
| 156 | 2c19:dd:df:dd1:c9b0::/76 | 2c19:dd:df:dd1:c9bf:ffff:ffff:ffff |
| 157 | 2c19:dd:df:dd1:c9c0::/76 | 2c19:dd:df:dd1:c9cf:ffff:ffff:ffff |
| 158 | 2c19:dd:df:dd1:c9d0::/76 | 2c19:dd:df:dd1:c9df:ffff:ffff:ffff |
| 159 | 2c19:dd:df:dd1:c9e0::/76 | 2c19:dd:df:dd1:c9ef:ffff:ffff:ffff |
| 160 | 2c19:dd:df:dd1:c9f0::/76 | 2c19:dd:df:dd1:c9ff:ffff:ffff:ffff |
| 161 | 2c19:dd:df:dd1:ca00::/76 | 2c19:dd:df:dd1:ca0f:ffff:ffff:ffff |
| 162 | 2c19:dd:df:dd1:ca10::/76 | 2c19:dd:df:dd1:ca1f:ffff:ffff:ffff |
| 163 | 2c19:dd:df:dd1:ca20::/76 | 2c19:dd:df:dd1:ca2f:ffff:ffff:ffff |
| 164 | 2c19:dd:df:dd1:ca30::/76 | 2c19:dd:df:dd1:ca3f:ffff:ffff:ffff |
| 165 | 2c19:dd:df:dd1:ca40::/76 | 2c19:dd:df:dd1:ca4f:ffff:ffff:ffff |
| 166 | 2c19:dd:df:dd1:ca50::/76 | 2c19:dd:df:dd1:ca5f:ffff:ffff:ffff |
| 167 | 2c19:dd:df:dd1:ca60::/76 | 2c19:dd:df:dd1:ca6f:ffff:ffff:ffff |
| 168 | 2c19:dd:df:dd1:ca70::/76 | 2c19:dd:df:dd1:ca7f:ffff:ffff:ffff |
| 169 | 2c19:dd:df:dd1:ca80::/76 | 2c19:dd:df:dd1:ca8f:ffff:ffff:ffff |
| 170 | 2c19:dd:df:dd1:ca90::/76 | 2c19:dd:df:dd1:ca9f:ffff:ffff:ffff |
| 171 | 2c19:dd:df:dd1:caa0::/76 | 2c19:dd:df:dd1:caaf:ffff:ffff:ffff |
| 172 | 2c19:dd:df:dd1:cab0::/76 | 2c19:dd:df:dd1:cabf:ffff:ffff:ffff |
| 173 | 2c19:dd:df:dd1:cac0::/76 | 2c19:dd:df:dd1:cacf:ffff:ffff:ffff |
| 174 | 2c19:dd:df:dd1:cad0::/76 | 2c19:dd:df:dd1:cadf:ffff:ffff:ffff |
| 175 | 2c19:dd:df:dd1:cae0::/76 | 2c19:dd:df:dd1:caef:ffff:ffff:ffff |
| 176 | 2c19:dd:df:dd1:caf0::/76 | 2c19:dd:df:dd1:caff:ffff:ffff:ffff |
| 177 | 2c19:dd:df:dd1:cb00::/76 | 2c19:dd:df:dd1:cb0f:ffff:ffff:ffff |
| 178 | 2c19:dd:df:dd1:cb10::/76 | 2c19:dd:df:dd1:cb1f:ffff:ffff:ffff |
| 179 | 2c19:dd:df:dd1:cb20::/76 | 2c19:dd:df:dd1:cb2f:ffff:ffff:ffff |
| 180 | 2c19:dd:df:dd1:cb30::/76 | 2c19:dd:df:dd1:cb3f:ffff:ffff:ffff |
| 181 | 2c19:dd:df:dd1:cb40::/76 | 2c19:dd:df:dd1:cb4f:ffff:ffff:ffff |
| 182 | 2c19:dd:df:dd1:cb50::/76 | 2c19:dd:df:dd1:cb5f:ffff:ffff:ffff |
| 183 | 2c19:dd:df:dd1:cb60::/76 | 2c19:dd:df:dd1:cb6f:ffff:ffff:ffff |
| 184 | 2c19:dd:df:dd1:cb70::/76 | 2c19:dd:df:dd1:cb7f:ffff:ffff:ffff |
| 185 | 2c19:dd:df:dd1:cb80::/76 | 2c19:dd:df:dd1:cb8f:ffff:ffff:ffff |
| 186 | 2c19:dd:df:dd1:cb90::/76 | 2c19:dd:df:dd1:cb9f:ffff:ffff:ffff |
| 187 | 2c19:dd:df:dd1:cba0::/76 | 2c19:dd:df:dd1:cbaf:ffff:ffff:ffff |
| 188 | 2c19:dd:df:dd1:cbb0::/76 | 2c19:dd:df:dd1:cbbf:ffff:ffff:ffff |
| 189 | 2c19:dd:df:dd1:cbc0::/76 | 2c19:dd:df:dd1:cbcf:ffff:ffff:ffff |
| 190 | 2c19:dd:df:dd1:cbd0::/76 | 2c19:dd:df:dd1:cbdf:ffff:ffff:ffff |
| 191 | 2c19:dd:df:dd1:cbe0::/76 | 2c19:dd:df:dd1:cbef:ffff:ffff:ffff |
| 192 | 2c19:dd:df:dd1:cbf0::/76 | 2c19:dd:df:dd1:cbff:ffff:ffff:ffff |
| 193 | 2c19:dd:df:dd1:cc00::/76 | 2c19:dd:df:dd1:cc0f:ffff:ffff:ffff |
| 194 | 2c19:dd:df:dd1:cc10::/76 | 2c19:dd:df:dd1:cc1f:ffff:ffff:ffff |
| 195 | 2c19:dd:df:dd1:cc20::/76 | 2c19:dd:df:dd1:cc2f:ffff:ffff:ffff |
| 196 | 2c19:dd:df:dd1:cc30::/76 | 2c19:dd:df:dd1:cc3f:ffff:ffff:ffff |
| 197 | 2c19:dd:df:dd1:cc40::/76 | 2c19:dd:df:dd1:cc4f:ffff:ffff:ffff |
| 198 | 2c19:dd:df:dd1:cc50::/76 | 2c19:dd:df:dd1:cc5f:ffff:ffff:ffff |
| 199 | 2c19:dd:df:dd1:cc60::/76 | 2c19:dd:df:dd1:cc6f:ffff:ffff:ffff |
| 200 | 2c19:dd:df:dd1:cc70::/76 | 2c19:dd:df:dd1:cc7f:ffff:ffff:ffff |
| 201 | 2c19:dd:df:dd1:cc80::/76 | 2c19:dd:df:dd1:cc8f:ffff:ffff:ffff |
| 202 | 2c19:dd:df:dd1:cc90::/76 | 2c19:dd:df:dd1:cc9f:ffff:ffff:ffff |
| 203 | 2c19:dd:df:dd1:cca0::/76 | 2c19:dd:df:dd1:ccaf:ffff:ffff:ffff |
| 204 | 2c19:dd:df:dd1:ccb0::/76 | 2c19:dd:df:dd1:ccbf:ffff:ffff:ffff |
| 205 | 2c19:dd:df:dd1:ccc0::/76 | 2c19:dd:df:dd1:cccf:ffff:ffff:ffff |
| 206 | 2c19:dd:df:dd1:ccd0::/76 | 2c19:dd:df:dd1:ccdf:ffff:ffff:ffff |
| 207 | 2c19:dd:df:dd1:cce0::/76 | 2c19:dd:df:dd1:ccef:ffff:ffff:ffff |
| 208 | 2c19:dd:df:dd1:ccf0::/76 | 2c19:dd:df:dd1:ccff:ffff:ffff:ffff |
| 209 | 2c19:dd:df:dd1:cd00::/76 | 2c19:dd:df:dd1:cd0f:ffff:ffff:ffff |
| 210 | 2c19:dd:df:dd1:cd10::/76 | 2c19:dd:df:dd1:cd1f:ffff:ffff:ffff |
| 211 | 2c19:dd:df:dd1:cd20::/76 | 2c19:dd:df:dd1:cd2f:ffff:ffff:ffff |
| 212 | 2c19:dd:df:dd1:cd30::/76 | 2c19:dd:df:dd1:cd3f:ffff:ffff:ffff |
| 213 | 2c19:dd:df:dd1:cd40::/76 | 2c19:dd:df:dd1:cd4f:ffff:ffff:ffff |
| 214 | 2c19:dd:df:dd1:cd50::/76 | 2c19:dd:df:dd1:cd5f:ffff:ffff:ffff |
| 215 | 2c19:dd:df:dd1:cd60::/76 | 2c19:dd:df:dd1:cd6f:ffff:ffff:ffff |
| 216 | 2c19:dd:df:dd1:cd70::/76 | 2c19:dd:df:dd1:cd7f:ffff:ffff:ffff |
| 217 | 2c19:dd:df:dd1:cd80::/76 | 2c19:dd:df:dd1:cd8f:ffff:ffff:ffff |
| 218 | 2c19:dd:df:dd1:cd90::/76 | 2c19:dd:df:dd1:cd9f:ffff:ffff:ffff |
| 219 | 2c19:dd:df:dd1:cda0::/76 | 2c19:dd:df:dd1:cdaf:ffff:ffff:ffff |
| 220 | 2c19:dd:df:dd1:cdb0::/76 | 2c19:dd:df:dd1:cdbf:ffff:ffff:ffff |
| 221 | 2c19:dd:df:dd1:cdc0::/76 | 2c19:dd:df:dd1:cdcf:ffff:ffff:ffff |
| 222 | 2c19:dd:df:dd1:cdd0::/76 | 2c19:dd:df:dd1:cddf:ffff:ffff:ffff |
| 223 | 2c19:dd:df:dd1:cde0::/76 | 2c19:dd:df:dd1:cdef:ffff:ffff:ffff |
| 224 | 2c19:dd:df:dd1:cdf0::/76 | 2c19:dd:df:dd1:cdff:ffff:ffff:ffff |
| 225 | 2c19:dd:df:dd1:ce00::/76 | 2c19:dd:df:dd1:ce0f:ffff:ffff:ffff |
| 226 | 2c19:dd:df:dd1:ce10::/76 | 2c19:dd:df:dd1:ce1f:ffff:ffff:ffff |
| 227 | 2c19:dd:df:dd1:ce20::/76 | 2c19:dd:df:dd1:ce2f:ffff:ffff:ffff |
| 228 | 2c19:dd:df:dd1:ce30::/76 | 2c19:dd:df:dd1:ce3f:ffff:ffff:ffff |
| 229 | 2c19:dd:df:dd1:ce40::/76 | 2c19:dd:df:dd1:ce4f:ffff:ffff:ffff |
| 230 | 2c19:dd:df:dd1:ce50::/76 | 2c19:dd:df:dd1:ce5f:ffff:ffff:ffff |
| 231 | 2c19:dd:df:dd1:ce60::/76 | 2c19:dd:df:dd1:ce6f:ffff:ffff:ffff |
| 232 | 2c19:dd:df:dd1:ce70::/76 | 2c19:dd:df:dd1:ce7f:ffff:ffff:ffff |
| 233 | 2c19:dd:df:dd1:ce80::/76 | 2c19:dd:df:dd1:ce8f:ffff:ffff:ffff |
| 234 | 2c19:dd:df:dd1:ce90::/76 | 2c19:dd:df:dd1:ce9f:ffff:ffff:ffff |
| 235 | 2c19:dd:df:dd1:cea0::/76 | 2c19:dd:df:dd1:ceaf:ffff:ffff:ffff |
| 236 | 2c19:dd:df:dd1:ceb0::/76 | 2c19:dd:df:dd1:cebf:ffff:ffff:ffff |
| 237 | 2c19:dd:df:dd1:cec0::/76 | 2c19:dd:df:dd1:cecf:ffff:ffff:ffff |
| 238 | 2c19:dd:df:dd1:ced0::/76 | 2c19:dd:df:dd1:cedf:ffff:ffff:ffff |
| 239 | 2c19:dd:df:dd1:cee0::/76 | 2c19:dd:df:dd1:ceef:ffff:ffff:ffff |
| 240 | 2c19:dd:df:dd1:cef0::/76 | 2c19:dd:df:dd1:ceff:ffff:ffff:ffff |
| 241 | 2c19:dd:df:dd1:cf00::/76 | 2c19:dd:df:dd1:cf0f:ffff:ffff:ffff |
| 242 | 2c19:dd:df:dd1:cf10::/76 | 2c19:dd:df:dd1:cf1f:ffff:ffff:ffff |
| 243 | 2c19:dd:df:dd1:cf20::/76 | 2c19:dd:df:dd1:cf2f:ffff:ffff:ffff |
| 244 | 2c19:dd:df:dd1:cf30::/76 | 2c19:dd:df:dd1:cf3f:ffff:ffff:ffff |
| 245 | 2c19:dd:df:dd1:cf40::/76 | 2c19:dd:df:dd1:cf4f:ffff:ffff:ffff |
| 246 | 2c19:dd:df:dd1:cf50::/76 | 2c19:dd:df:dd1:cf5f:ffff:ffff:ffff |
| 247 | 2c19:dd:df:dd1:cf60::/76 | 2c19:dd:df:dd1:cf6f:ffff:ffff:ffff |
| 248 | 2c19:dd:df:dd1:cf70::/76 | 2c19:dd:df:dd1:cf7f:ffff:ffff:ffff |
| 249 | 2c19:dd:df:dd1:cf80::/76 | 2c19:dd:df:dd1:cf8f:ffff:ffff:ffff |
| 250 | 2c19:dd:df:dd1:cf90::/76 | 2c19:dd:df:dd1:cf9f:ffff:ffff:ffff |
| 251 | 2c19:dd:df:dd1:cfa0::/76 | 2c19:dd:df:dd1:cfaf:ffff:ffff:ffff |
| 252 | 2c19:dd:df:dd1:cfb0::/76 | 2c19:dd:df:dd1:cfbf:ffff:ffff:ffff |
| 253 | 2c19:dd:df:dd1:cfc0::/76 | 2c19:dd:df:dd1:cfcf:ffff:ffff:ffff |
| 254 | 2c19:dd:df:dd1:cfd0::/76 | 2c19:dd:df:dd1:cfdf:ffff:ffff:ffff |
| 255 | 2c19:dd:df:dd1:cfe0::/76 | 2c19:dd:df:dd1:cfef:ffff:ffff:ffff |
| 256 | 2c19:dd:df:dd1:cff0::/76 | 2c19:dd:df:dd1:cfff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |